Types

Get a type

Returns a Pokémon type with its full damage relation table — what the type is super effective against, resisted by, and immune to.

GET/type/{name}get-type

Server

https://pokeapi.co/api/v2

Production (no auth required)

Path Parameters

namestringrequired

The type's lowercase name (e.g. `fire`, `water`, `electric`) or its numeric ID.

Responses

200The full type resource with damage relations.application/json
idintegerrequired

Type ID (1–18).

namestringrequired

Lowercase type name (e.g. `electric`).

damage_relationsobjectrequired

Damage multiplier relations for a type.

no_damage_toarray<object>

Types this type deals 0× damage to.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

half_damage_toarray<object>

Types this type deals 0.5× damage to.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

double_damage_toarray<object>

Types this type deals 2× damage to.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

no_damage_fromarray<object>

Types that deal 0× damage to this type.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

half_damage_fromarray<object>

Types that deal 0.5× damage to this type.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

double_damage_fromarray<object>

Types that deal 2× damage to this type.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

pokemonarray<object>

All Pokémon with this type.

slotinteger
pokemonobject

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

movesarray<object>

All moves of this type.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

404Type not found.application/json
curl https://pokeapi.co/api/v2/type/electric
{
  "id": 0,
  "name": "<string>",
  "damage_relations": {
    "no_damage_to": [
      {
        "name": "<string>",
        "url": "https://example.com"
      }
    ],
    "half_damage_to": [
      {
        "name": "<string>",
        "url": "https://example.com"
      }
    ],
    "double_damage_to": [
      {
        "name": "<string>",
        "url": "https://example.com"
      }
    ],
    "no_damage_from": [
      {
        "name": "<string>",
        "url": "https://example.com"
      }
    ],
    "half_damage_from": [
      {
        "name": "<string>",
        "url": "https://example.com"
      }
    ],
    "double_damage_from": [
      {
        "name": "<string>",
        "url": "https://example.com"
      }
    ]
  },
  "pokemon": [
    {
      "slot": 0,
      "pokemon": {
        "name": "<string>",
        "url": "https://example.com"
      }
    }
  ],
  "moves": [
    {
      "name": "<string>",
      "url": "https://example.com"
    }
  ]
}